import {
  Decoder,
  Encoder,
  EventSigner,
  EventStreamPayloadHandler as IEventStreamPayloadHandler,
  FinalizeHandler,
  FinalizeHandlerArguments,
  FinalizeHandlerOutput,
  HandlerExecutionContext,
  MetadataBearer,
  Provider,
} from "@aws-sdk/types";
export interface EventStreamPayloadHandlerOptions {
  eventSigner: Provider<EventSigner>;
  utf8Encoder: Encoder;
  utf8Decoder: Decoder;
}
export declare class EventStreamPayloadHandler
  implements IEventStreamPayloadHandler
{
  private readonly eventSigner;
  private readonly eventStreamCodec;
  constructor(options: EventStreamPayloadHandlerOptions);
  handle<T extends MetadataBearer>(
    next: FinalizeHandler<any, T>,
    args: FinalizeHandlerArguments<any>,
    context?: HandlerExecutionContext
  ): Promise<FinalizeHandlerOutput<T>>;
}
